<template>
  <v-sheet class="mt-5">
    <v-alert
      v-for="(item, index) in items"
      :key="`tasks_items_${index}`"
      border="right"
      colored-border
      :color="item.tag.color"
      elevation="2"
      dense
      icon="mdi-circle"
    >
      <p class="font-weight-bold">{{ item.notes }}</p>
      <p>
        <v-chip
          v-if="item.time.length > 0"
          label
          outlined
          :color="item.tag.color"
          small
        ><span class="font-weight-bold">{{ item.time }}</span></v-chip>
        <span
          v-if="item.description.length > 0"
          class="mx-2">|</span><span class="blue-grey--text text--lighten-2">{{ item.description }}</span></p>
    </v-alert>
  </v-sheet>
</template>

<script>
import dateMixin from "~/mixins/dateMixin";

export default {
  name: "TaList",
  mixins: [dateMixin],
  props: {
    search: {
      type: Boolean,
      default: false
    },
    query: {
      type: String,
      default: ''
    }
  },
  computed: {
    items() {
      const items = this.$storage.getLocalStorage(`tasks_${this.dateText}`)
      if (this.search && this.query.length > 0) {
        return items.filter((item) => {
          return item.notes.toLowerCase() === this.query.toLowerCase()
        })
      } else {
        return items
      }
    }
  }
}
</script>
